<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t ".title" %></h2>
  </div>

  <div class="card-section">
    <div class="row">
      <div class="columns xlarge-6">
        <%= form.select :state,
                        Decidim::Initiative.states.keys.map { |state| [I18n.t(state, scope: "decidim.initiatives.admin_states"), state] },
                        {},
                        { disabled: !@form.state_updatable? } %>
      </div>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :title, autofocus: true, disabled: !allowed_to?(:update, :initiative, initiative: current_initiative) %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :description, toolbar: :image, lines: 8, disabled: !allowed_to?(:update, :initiative, initiative: current_initiative) %>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.select :type_id,
                        initiative_type_options,
                        {},
                        {
                          disabled: !@form.signature_type_updatable?,
                          "data-scope-selector": "initiative_decidim_scope_id",
                          "data-scope-id": current_initiative.scoped_type.id,
                          "data-scope-search-url": decidim_initiatives.initiative_type_scopes_search_url,
                          "data-signature-types-selector": "initiative_signature_type",
                          "data-signature-type": current_initiative.signature_type,
                          "data-signature-types-search-url": decidim_initiatives.initiative_type_signature_types_search_url
                        } %>
      </div>

      <div class="columns xlarge-6">
        <%= form.select :decidim_scope_id, [], {}, { disabled: !@form.signature_type_updatable? } %>
      </div>
    </div>

    <% if current_initiative.published? && current_user.admin? %>
      <div class="row">
        <div class="columns xlarge-6">
          <%= form.date_field :signature_start_date %>
        </div>

        <div class="columns xlarge-6">
          <%= form.date_field :signature_end_date %>
        </div>
      </div>
    <% end %>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.text_field :hashtag, disabled: !allowed_to?(:update, :initiative, initiative: current_initiative) %>
      </div>

      <div class="columns xlarge-6">
        <%= form.select :signature_type, [], {}, { disabled: !@form.signature_type_updatable? } %>
      </div>
    </div>

    <% if  current_initiative.accepts_offline_votes? && current_user.admin? %>
      <div class="row">
        <div class="columns xlarge-6">
          <%= form.number_field :offline_votes, min: 1 %>
        </div>
      </div>
    <% end %>
  </div>
</div>

<%= javascript_include_tag "decidim/initiatives/scoped_type" %>
